/*!
Theme Name: Helpotkotisivut
Theme URI: https://www.helpotkotisivut.fi/wordpress-kotisivut/
Template: kadence
Author: Helpotkotisivut
Author URI: https://www.helpotkotisivut.fi/
Description: Helppojen kotisivujen lapsiteema pohjautuen Kadence teemaan
Version: 0.3
License: GNU General Public License v3.0 (or later)
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Text Domain: kadence-child
*/

/* Theme customization starts here
-------------------------------------------------------------- */

/* Wordbreak */
h1, h2, h3, h4, h5, h6, p, h1 a, h2 a, h3 a, h4 a, h5 a, h6 a {
	word-break: keep-all;
	hyphens: none;
	word-wrap: initial;
}

/* Main Header shadow */
#masthead .item-at-start {
	transition: box-shadow ease-in-out 200ms;
}
#masthead .item-is-stuck {
	box-shadow: 0 20px 40px -12px rgba(0,0,0,0.05);
	transition: all ease-in-out 200ms;
}

/* Mobile menu */
.drawer-header {padding: 0 1rem 0!important;}
.popup-drawer .drawer-content {padding: 0 1rem 2rem!important;}

/* Links no underline */
a, p a {text-decoration: none!important;}

/* Fluent Forms */
.fluentform form {
	margin: 0!important;
}
.fluentform input, .fluentform textarea , .fluentform select {
	padding: .6rem !important;
	border-radius: 0!important;
	font-size: 0.95rem!important;
}
.fluentform .ff-el-group {
	margin-bottom: 0.8rem !important;
}
[type="checkbox"], [type="radio"] {
    accent-color: #ffffff;
}
.wpsr-reviews-badge-wrapper {
	text-align: left !important;
}
.gdpr-consent-clause {
	font-size: 13px !important;
}
.gdpr-consent-clause a {
	color: var(--global-palette1) !important;
}
.tummataustainen-lomake a {
	color: #FFF !important;
	text-decoration: underline !important;
}
@media (max-width:767px) {
	.ff-el-group.ff_list_inline label > span, .ff-el-input--content label > span {
		font-size: 1rem !important;
	}
	.fluentform .ff-el-form-check-label .ff-el-form-check-input {
		top: 0! important;
		width: 1.3rem !important;
		height: 1.3rem !important;
		margin-right: .4rem !important;
	}
}
@media (min-width:768px) {
	.fluentform .ff-el-form-check-label .ff-el-form-check-input {
		top: 0! important;
		width: 1.2rem !important;
		height: 1.2rem !important;
		margin-right: .4rem !important;
	}
	.ff-el-group.ff_list_inline label > span, .ff-el-input--content label > span {
		font-size: 1rem !important;
	}
	.fluentform .ff-el-form-check {
    	margin-bottom: 0px !important;
	}
	.fluentform .ff-el-tc {
		margin-top: -0.4rem !important;
    	font-size: 0.95rem !important;
    	margin-bottom: 0.4rem !important;
	}
}

@media only screen and (min-width: 641px) {
    .fluentform .ff-el-group.ff_list_inline .ff-el-form-check {
        margin: 0 15px 0px 0 !important;
    }
}
.fluentform .ff-el-form-control:focus {
	border-color: var(--global-palette1) !important;
}
.fluentform .ff-el-form-control {
	font-family: var(--global-body-font-family) !important;
}
.single-content .fluentform {
	padding-top: 0.5rem;
	margin-bottom: -0.5rem !important;
}
[type="checkbox"], [type="radio"] {
	accent-color: var(--global-palette1);
}
@media only screen and (max-width:767px) {
	.fluentform .ff-el-tc label.ff_tc_label>div, .fluentform .ff-el-tc label.ff_tc_label>span {
		display: inline !important;
		font-size: 0.8rem !important;
	}
	.fluentform .ff-el-tc {
		margin-top: -5px !important;
		margin-bottom: -3px !important;
	}
}
.ff-default textarea {
    min-height: 40px !important;
}
.ff-default .ff-el-input--label label {
    font-size: 1.1rem;
}
.tummataustainen-lomake .ff-el-is-required.asterisk-right label:after {
    color: #FFF !important;
}

/* GDPR Cookie icon */
.cky-revisit-bottom-left {
	bottom: .5rem !important;
	left: .5rem!important;
}
.cky-btn-revisit-wrapper .cky-btn-revisit img {
	height: 1.8rem!important;
	width: 1.8rem!important;
}
.cky-btn-revisit-wrapper {
	width: 2.5rem !important;
	height: 2.5rem!important;
}
.cky-switch input[type="checkbox"] {
	border-radius: 50px!important;
}

/* WP Social Ninja -contact */
/* Wrapper */
.wpsr-fm-chat-wrapper.wpsr-chat-icons-layout .wpsr-fm-chat-bubble.active .wpsr-fm-bubble-btn {
	-webkit-transform: none !important;
	transform: none !important;
}
.wpsr-fm-chat-wrapper {
	right: .5rem !important;
	bottom: .5rem!important;
	margin: 0!important;
}

/* Button */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble {
	right: 0!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble .wpsr-fm-bubble-btn.wpsr-fm-bubble-btn-has-text {
	border-radius: 25px !important;
	padding: 0.6rem 1.2rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble .wpsr-fm-bubble-btn.wpsr-fm-bubble-btn-has-text img {
	margin: 0 -0.3rem !important;
}

/* Chatbox wrapper */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box {
	right: 0.5rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box-display {
	margin-bottom: 4.4rem!important;
}

/* Chatbox close button */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close {
	top: 1.4rem!important;
	right: .4rem!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close:after, .wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-close:before {
	width: 1.4rem !important;
	height: 3px!important;
}

/* Chatbox header */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header {
	padding: 1rem !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details {
	padding: 0 !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details h3 {
	padding: 0 0 .4rem !important;
}

/* Chatbox content */
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room {
	padding: 1rem !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-greeting-msg {
	background-color: #fff !important;
	padding: 0!important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-greeting-msg p:first-child {
	padding: 0 0 .4rem !important;
}

/* Chatbox Fluent forms */
#fluentform_5 {
	margin: -1.5rem 0 !important;
}
#fluentform_5 .ff-btn-lg {
	border-radius: 0 !important;
	font-size: 16px;
}
#fluentform_5 input[type="text"], #fluentform_5 input[type="email"], #fluentform_5 input[type="url"], #fluentform_5 input[type="password"], #fluentform_5 input[type="search"], #fluentform_5 input[type="number"], #fluentform_5 input[type="tel"], #fluentform_5 input[type="range"], #fluentform_5 input[type="date"], #fluentform_5 input[type="month"], #fluentform_5 input[type="week"], #fluentform_5 input[type="time"], #fluentform_5 input[type="datetime"], #fluentform_5 input[type="datetime-local"], #fluentform_5 input[type="color"], #fluentform_5 textarea {
	background: none !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	padding: 1rem !important;
	font-size: 18px !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	border: none !important;
}
#fluentform_5 .ff-el-form-control {
	border-bottom: 1px solid #d5d5d5 !important;
	box-shadow: none !important;
	border-left: 0 !important;
	border-right: 0 !important;
	border-top: 0 !important;
	padding-left: 0 !important;
}
.wpsr-fm-chat-wrapper.wpsr-has-fluent-forms-widget .wpsr-fluent-form-title {
	margin-left: 4px !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-room .wpsr-fm-conversation .wpsr-fm-user-picture img {
	display: none !important;
}
.wpsr-fm-chat-wrapper .wpsr-fm-chat-box .wpsr-fm-chat-header .wpsr-fm-group-details h3 {
	margin-left: 1rem !important;
}

/* WP Social Ninja -soittopainike */
@media only screen and (max-width: 768px) {
	.wpsr-fm-chat-wrapper {
		right: .5rem !important;
		bottom: .5rem !important;
	}
	.wpsr-fm-chat-box {
		display: none !important;
	}
	.wpsr-fm-chat-wrapper .wpsr-fm-chat-bubble {
		right: 0!important;
	}
}

/* Blog */
.category-style-pill a {
	padding: 0.25rem 0.5rem !important;
	border-radius: 5rem !important;
}

/* Blog single */
@media only screen and (max-width: 767px) {
	.kadence-thumbnail-position-behind {
		margin-bottom: 0 !important;
	}
}

/* Single post related carousel */
.single-post .loop-entry .entry-content-wrap {
	min-height: 170px !important;
	height: 100%;
}
.splide .splide__pagination {
	bottom: -30px !important;
}
@media (max-width: 767px) {
	.single-post .loop-entry .entry-content-wrap {
		min-height: 195px !important;
		height: 100%;
	}
}
.entry-related-inner-content {
	padding-top: var(--global-md-spacing) !important;
	padding-bottom: var(--global-md-spacing) !important;
	padding-left: var(--global-xs-spacing) !important;
	padding-right: var(--global-xs-spacing) !important;
}
@media only screen and (max-width:767px) {
	.comment-navigation a, .post-navigation a {
		font-size: 1rem !important;
		line-height: 1.6 !important;
	}
	.comment-navigation, .post-navigation {
		margin: var(--global-xs-spacing) auto !important;
	}
}

/* Cookieyes evästeasetukset-painike */
.cky-banner-element {
	cursor: pointer;
}

@media only screen and (min-width:1025px) and (max-width:1600px) {
	.copyright-palkki > .kt-row-column-wrap {
		grid-template-columns: minmax(0, 1fr) !important;
		row-gap: 0.5rem !important;
	}
	.helpot-backlink {
		text-align: left !important;
	}
}

/* Hero täppälomakkeella */
@media only screen and (min-width:1025px) and (max-width:1200px) {
	.hero-lomakeosio > .kt-row-column-wrap {
		grid-template-columns: minmax(0, calc(63% - ((var(--kb-default-row-gutter, var(--global-row-gutter-md, 2rem)) * 1 )/2)))
		minmax(0, calc(37% - ((var(--kb-default-row-gutter, var(--global-row-gutter-md, 2rem)) * 1 )/2))) !important;
	}
}

.vaaleataustainen-lomake .lyhyt-lomake-tumma-button {
	background: var(--global-palette1) !important;
	color: #FFF !important;
	border: 0 !important;
}
.vaaleataustainen-lomake .lyhyt-lomake-tumma-button:hover {
	background: #FFF !important;
	color: var(--global-palette1) !important;
}
.fluentform.vaaleataustainen-lomake .ff-el-form-control {
	border: 1px solid #dadbdd !important;
}
.vaaleataustainen-lomake .asterisk-right label:after {
    color: #000 !important;
}

.hero-ota-yhteytta .kt-accodion-icon-style-xclose .kt-blocks-accordion-icon-trigger:before, .hero-ota-yhteytta .kt-accodion-icon-style-xclose .kt-blocks-accordion-icon-trigger:after {
   width: 15px !important;
   height: 3px !important;
}

.kb-splide .splide__arrow {
    font-size: 1.2rem !important;
    background: none !important;
	opacity: 0.8 !important;
}

@media only screen and (max-width:767px) {
	.wp-block-kadence-testimonials .kt-blocks-carousel-init:not(.kt-carousel-dotstyle-none) {
		padding-bottom: 15px !important;
	}
}

.kt-testimonial-content {
    margin-bottom: 0.2rem !important;
}

.kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:before, .kt-accodion-icon-style-basic .kt-blocks-accordion-icon-trigger:after {
    height: 2px !important;
}

.blogi-tyyli .kt-blocks-post-grid-item .entry-title a:not(.button):not(.list) {
    background: #000 !important;
    margin-top: -10px !important;
	padding: 10px;
	color: #FFF !important;
	min-height: 76px;
}

.blogi-tyyli .kt-blocks-post-grid-item .kt-blocks-post-top-meta {
    margin-top: 0.5rem;
}

.palveluotsikko {
    padding-bottom: 0;
    transition: 0.2s all ease-in-out;
}
.palvelupalsta:hover .palveluotsikko {
    padding-bottom: 0.5rem;
    transition: .2s all ease-in-out;
}

.menu-item.non-clickable > a {
    pointer-events: none;
    cursor: default;
}

.elevated-search {
	margin-top: 0.6rem;
	margin-left: 0.5rem !important;
}

.wc-block-cart__submit {
    border: none !important;
    padding: 0 !important;
	border-radius: 0 !important;
}

/* Header offcanvas popup */
[data-drawer-target-string="#widget-drawer"] .drawer-inner {
	background: var(--global-palette1) !important;
	color: #FFF !important;
}

/* Breadcrumbs */
@media (max-width:1024px) {
	.rank-math-breadcrumb {
		font-size: 0.8rem;
	}
}
.breadcrumbs-desktop {
	text-align: center;
}
@media (min-width:1025px) and (max-width:1366px) {
	.woocommerce ul.products:not(.products-list-view) {
		column-gap: 1rem !important;
		grid-row-gap: 1rem !important;
	}
	.woocommerce ul.products.woo-archive-btn-button .button:not(.kb-button){
		font-size: 0.75rem !important;
	}
}

@media (max-width:767px) {
	.woocommerce ul.products:not(.products-list-view) {
		column-gap: 1rem !important;
		grid-row-gap: 1rem !important;
	}
	.theme-kadence 
	.kt-product-carousel-wrap:not(.content-style-unboxed) 
	.woocommerce ul.products {
		margin-right: -10px !important;
	}

	.theme-kadence 
	.kt-product-carousel-wrap:not(.content-style-unboxed) 
	.woocommerce ul.products li.product {
		margin-right: 10px !important;
		margin-bottom: 10px !important;
		width: calc(49.5% - 5px) !important;
		min-height: 370px;
	}
	.woocommerce ul.products li.product .entry-content-wrap {
		padding: 0.5rem 0.5rem 0.8rem 0.5rem !important
	}
	.woocommerce ul.products.woo-archive-btn-button .product-action-wrap .button:not(.kb-button) {
		font-size: 0.7rem !important;
	}
	.mobile-html-inner .elevated-search .flex {
		background: transparent !important;
		border: none !important;
	}
	.mobile-html-inner .elevated-search svg {
		color: #FFF !important;
		width: 1.2rem !important;
		height: 1.2rem !important;
		margin-top: -2px !important;
	}
	[data-section="kadence_customizer_mobile_cart"] {
		margin-left: -10px !important;
	}
	.woocommerce ul.products li.product .entry-content-wrap {
		padding: 0 !important;
	}
}

/* Force Splide to stretch slides to equal height */
.splide__list {
  align-items: stretch;
}

/* Make each product slide a full-height flex column */
.theme-kadence .woocommerce ul.products li.product {
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Keep product image at natural height */
.theme-kadence .woocommerce ul.products li.product > .woocommerce-loop-image-link {
  flex: 0 0 auto;
}

/* Let product details fill remaining space */
.theme-kadence .woocommerce ul.products li.product > .product-details {
  flex: 1 1 auto;
  display: flex;
  flex-direction: column;
}

/* Push add-to-cart & wishlist buttons to the bottom */
@media (min-width:768px) {
	.theme-kadence .woocommerce ul.products li.product .product-action-wrap {
	  margin-top: auto;
	}
}

.lomake-sivun-lopussa .gdpr-consent-clause a {
	color: #FFF !important;
	font-weight: 500 !important;
}

.lomake-sivun-lopussa .ff-btn-submit {
	background: #C5A464 !important;
}

/* Shop product categories sidebar */
.wpb_category_n_menu_accordion ul li .wpb-wmca-cat-count {
    min-width: 40px !important;
    border-radius: 0 !important;
    height: 30px !important;
    line-height: 28px !important;
}
.wpb_category_n_menu_accordion ul li a:has(.wpb-submenu-indicator) .wpb-wmca-cat-count {
    margin-right: 45px !important;
}

/* Elex search styling */
.elex-add-to-cart-button {
	background-color: var(--global-palette-btn-bg) !important;
	border-radius: 0 !important;
}

/* Lisätiedot-täbin tietojen tyylit */
.woocommerce table.shop_attributes th {
    width: 100px !important;
    text-align: left !important;
}

/* Etusivun karuselli */
.splide .kb-blocks-slider.splide__list:not(.is-initialized) {
	list-style: none;
	padding-left: 0;
}

.splide .kb-blocks-slider.splide__list:not(.is-initialized) li:not(:first-child) {
	display: none;
}

/* Kauppa */
@media (max-width: 1024px) {
    ul.products {
        row-gap: 1rem !important;
    }
}
/* Osastovalikko */
.wpb_wmca_theme_minimal > ul > li > a {
    gap: 10px !important;
}
.wpb_category_n_menu_accordion ul li .wpb-wmca-cat-count {
    margin-right: 0 !important;
    margin-left: auto !important;
}
.wpb_wmca_theme_minimal > ul > li li > a::before, .wpb_wmca_theme_minimal > ul > li > a:before {
	display: none !important;
}
.wpb_category_n_menu_accordion ul > li li {
    padding-right: 10px !important;
}

/* Mobiili osastovalikko */
@media (max-width:1024px) {
	.mobiiliosastot .wpb_category_n_menu_accordion.wpb_wmca_theme_minimal li a {
		color: #FFF !important;
	}
	.mobiiliosastot .wpb_wmca_theme_minimal ul li.current-cat > a {
		color: #c5a464 !important;
	}
}
.widget-toggle-open-container .widget-toggle-open {
    border: none !important;
}

.woocommerce-loop-image-link {
  position: relative;
}

/* Yksittäisen tuotteen galleria */
.woocommerce-loop-image-link::after {
  content: "";
  position: absolute;
  left: 5px;
  bottom: 5px;

  width: 45px;
  height: 50px;

  background-image: url("https://www.aihkidesign.fi//wp-content/uploads/2026/02/tehty-suomessa-logo.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  z-index: 10;
  pointer-events: none;
}

/* Positioning context */
.woocommerce-product-gallery .kadence-product-gallery-main {
  position: relative;
}

/* Overlay badge */
.woocommerce-product-gallery .kadence-product-gallery-main::after {
  content: "";
  position: absolute;
  left: 10px;
  bottom: 10px;

  width: 70px;
  height: 77px;

  background-image: url("https://www.aihkidesign.fi//wp-content/uploads/2026/02/tehty-suomessa-logo.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;

  z-index: 20;
  pointer-events: none;
}

h4.pewc-field-label {
    margin-bottom: 10px;
}

/* Notice bar */
p.demo_store, .woocommerce-store-notice {
    padding: 0.7em !important;
}

/* Search bar */
@media (min-width:1024px) {
	.header-html2 {
		width: 400px;
	}
}